#ifndef TECGRAF_OPENDREAMS_JOBINFOIMPL_H
#define TECGRAF_OPENDREAMS_JOBINFOIMPL_H

#include <stubs/opendreams.h>

namespace tecgraf { namespace openbus { namespace DRMAA { namespace v1_7 {

struct JobInfoImpl : OBV_tecgraf::openbus::DRMAA::v1_7::JobInfo
                   , CORBA::DefaultValueRefCountBase
{
  JobInfoImpl () {}
  JobInfoImpl (const char* _jobId, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _resourceUsage
               , CORBA::Boolean _hasExited, CORBA::Long _exitStatus, CORBA::Boolean _hasSignaled
               , const char* _terminatingSignal, CORBA::Boolean _hasCoreDump, CORBA::Boolean _wasAborted)
    : OBV_tecgraf::openbus::DRMAA::v1_7::JobInfo(_jobId, _resourceUsage, _hasExited, _exitStatus, _hasSignaled
                                                 , _terminatingSignal, _hasCoreDump, _wasAborted)
  {}
  CORBA::ValueBase* _copy_value()
  {
    return new JobInfoImpl(jobId(), resourceUsage(), hasExited(), exitStatus(), hasSignaled()
                           , terminatingSignal(), hasCoreDump(), wasAborted());
  }  
};

} } } }

#endif
