#ifndef TECGRAF_OPENDREAMS_OPENDREAMSJOBINFOIMPL_H
#define TECGRAF_OPENDREAMS_OPENDREAMSJOBINFOIMPL_H

#include <stubs/opendreams.h>

namespace tecgraf { namespace openbus { namespace opendreams { namespace v1_7 {

struct OpenDreamsJobInfoImpl : OBV_tecgraf::openbus::opendreams::v1_7::OpenDreamsJobInfo
                             , CORBA::DefaultValueRefCountBase
{
  OpenDreamsJobInfoImpl () {}
  OpenDreamsJobInfoImpl (const char* _jobId, const ::tecgraf::openbus::DRMAA::v1_7::Dictionary& _resourceUsage
                         , CORBA::Boolean _hasExited, CORBA::Long _exitStatus, CORBA::Boolean _hasSignaled
                         , const char* _terminatingSignal, CORBA::Boolean _hasCoreDump, CORBA::Boolean _wasAborted
                         , const char* _guiltyNodeId, ::tecgraf::openbus::opendreams::v1_7::FinalizationType _finalizationType
                         , const char* _description)
    : OBV_tecgraf::openbus::opendreams::v1_7::OpenDreamsJobInfo
       (_jobId, _resourceUsage, _hasExited, _exitStatus, _hasSignaled, _terminatingSignal, _hasCoreDump, _wasAborted
        , _guiltyNodeId, _finalizationType, _description)
  {}
  CORBA::ValueBase* _copy_value()
  {
    return new OpenDreamsJobInfoImpl(jobId(), resourceUsage(), hasExited(), exitStatus(), hasSignaled()
                                     , terminatingSignal(), hasCoreDump(), wasAborted()
                                     , guiltyNodeId(), finalizationType(), description());
  }  
};

} } } }

#endif
